using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Province
{
    [Serializable]
    public class TokenRsp
    {
        [JsonPropertyName("custom")]
        public TokenInfo TokenInfo { get; set; }
    }

    public class TokenInfo
    {
        [JsonPropertyName("access_token")]
        public string AccessToken { get; set; }

        [JsonPropertyName("refresh_token")]
        public string RefreshToken { get; set; }

        [JsonPropertyName("expires_in")]
        public string ExpiresIn { get; set; }
    }
}
